%define pypi_name cryptography-vectors
%define srcname cryptography_vectors

Name:               python-%{pypi_name}
Version:            42.0.5
Release:            %mkrel 1
Summary:            Test vectors for the cryptography package
Group:              Development/Python
License:            ASL 2.0 or BSD
URL:                https://pypi.org/project/cryptography-vectors/
Source0:            %{pypi_source}
BuildArch:          noarch
BuildRequires:      pyproject-rpm-macros
BuildRequires:      python3-devel

%description
Test vectors for the cryptography package.

The only purpose of this package is to be a building requirement for
python-cryptography, otherwise it has no use. Don’t install it unless
you really know what you are doing.

%package -n python3-%{pypi_name}
Group:      Development/Python
Summary:    %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Test vectors for the cryptography package.

The only purpose of this package is to be a building requirement for
python-cryptography, otherwise it has no use. Don’t install it unless
you really know what you are doing.

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE*


%changelog
* Thu Mar 07 2024 wally <wally> 42.0.5-1.mga10
+ Revision: 2048409
- new version 42.0.5

* Sat Dec 30 2023 wally <wally> 41.0.7-1.mga10
+ Revision: 2024598
- new version 41.0.7

* Thu Dec 07 2023 wally <wally> 41.0.4-2.mga10
+ Revision: 2015189
- rebuild for py3.12

* Mon Oct 16 2023 papoteur <papoteur> 41.0.4-1.mga10
+ Revision: 1997527
- new 41.0.4

* Thu Sep 07 2023 wally <wally> 41.0.3-1.mga10
+ Revision: 1985113
- new version 41.0.3

* Sat Feb 25 2023 wally <wally> 39.0.1-1.mga9
+ Revision: 1945355
- new version 39.0.1

* Sun Jan 15 2023 wally <wally> 39.0.0-1.mga9
+ Revision: 1933451
- new version 39.0.0

* Thu Nov 24 2022 papoteur <papoteur> 38.0.3-1.mga9
+ Revision: 1910759
- new 38.0.3

* Mon Nov 14 2022 guillomovitch <guillomovitch> 37.0.4-1.mga9
+ Revision: 1907251
- new version 37.0.4

* Wed Mar 23 2022 umeabot <umeabot> 36.0.1-2.mga9
+ Revision: 1822260
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 36.0.1-1.mga9
+ Revision: 1772455
- new version 36.0.1
- rebuild for python3.10

* Sat Aug 28 2021 wally <wally> 3.4.8-1.mga9
+ Revision: 1743116
- new version 3.4.8

* Thu Mar 18 2021 neoclust <neoclust> 3.4.6-2.mga9
+ Revision: 1704500
- Rebuild against python 3.9

* Fri Feb 26 2021 guillomovitch <guillomovitch> 3.4.6-1.mga9
+ Revision: 1691880
- new version 3.4.6

* Sun Dec 13 2020 guillomovitch <guillomovitch> 3.3.1-1.mga8
+ Revision: 1656377
- new version 3.3.1

* Sun Nov 01 2020 guillomovitch <guillomovitch> 3.2.1-1.mga8
+ Revision: 1641276
- new version 3.2.1

* Sat Sep 05 2020 guillomovitch <guillomovitch> 3.1-1.mga8
+ Revision: 1622481
- new version 3.1

* Tue Jul 14 2020 guillomovitch <guillomovitch> 2.9.2-1.mga8
+ Revision: 1605965
- new version 2.9.2

* Thu Mar 05 2020 kekepower <kekepower> 2.8-1.mga8
+ Revision: 1554160
- Update to version 2.8

* Sun Feb 16 2020 umeabot <umeabot> 2.7-3.mga8
+ Revision: 1530729
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 2.7-2.mga8
+ Revision: 1437405
- rebuild for python3.8
- drop python2 support

* Sat Aug 10 2019 shlomif <shlomif> 2.7-1.mga8
+ Revision: 1428498
- New version 2.7

* Wed Apr 17 2019 wally <wally> 2.6.1-1.mga7
+ Revision: 1392271
- new version 2.6.1

* Mon Jan 14 2019 luigiwalser <luigiwalser> 2.4.2-1.mga7
+ Revision: 1356238
- 2.4.2

* Sat Jan 05 2019 wally <wally> 2.4.1-2.mga7
+ Revision: 1349661
- rebuild for python3.7

* Mon Dec 31 2018 luigiwalser <luigiwalser> 2.4.1-1.mga7
+ Revision: 1347651
- 2.4.1

* Wed Oct 24 2018 bcornec <bcornec> 2.3.1-1.mga7
+ Revision: 1325056
- update to upstream cryptography-vectors 2.3.1

* Thu Sep 20 2018 umeabot <umeabot> 2.2.2-2.mga7
+ Revision: 1288555
- Mageia 7 Mass Rebuild

* Fri Apr 20 2018 kekepower <kekepower> 2.2.2-1.mga7
+ Revision: 1220444
- Update to version 2.2.2
- Use python_provide

* Tue Jan 02 2018 guillomovitch <guillomovitch> 2.1.4-2.mga7
+ Revision: 1189375
- rename python-cryptography-vectors to python2-cryptography-vectors

* Tue Jan 02 2018 guillomovitch <guillomovitch> 2.1.4-1.mga7
+ Revision: 1189272
- new version 2.1.4

* Sat Aug 05 2017 philippem <philippem> 2.0.3-1.mga7
+ Revision: 1135135
- update to 2.0.3

* Thu Aug 03 2017 guillomovitch <guillomovitch> 2.0.2-1.mga7
+ Revision: 1134389
- new version 2.0.2

* Fri Nov 11 2016 philippem <philippem> 1.5.3-1.mga6
+ Revision: 1066347
- update to 1.5.3, fix CVE-2016-9243 mga#19736

* Tue Oct 25 2016 philippem <philippem> 1.5.2-1.mga6
+ Revision: 1063473
- update to 1.5.2

* Tue May 17 2016 philippem <philippem> 1.3.2-1.mga6
+ Revision: 1016553
- update to 1.3.2

* Sun Apr 10 2016 philippem <philippem> 1.3.1-1.mga6
+ Revision: 1000028
- update to 1.3.1

* Sat Mar 05 2016 philippem <philippem> 1.2.3-1.mga6
+ Revision: 986076
- update to 1.2.3

* Sat Feb 13 2016 philippem <philippem> 1.2.2-1.mga6
+ Revision: 959764
- update to 1.2.2

* Fri Dec 04 2015 philippem <philippem> 1.1.1-1.mga6
+ Revision: 908143
- update to 1.1.1

* Thu Oct 29 2015 philippem <philippem> 1.1-1.mga6
+ Revision: 896475
- update to 1.1

* Sun Oct 11 2015 philippem <philippem> 1.0.2-1.mga6
+ Revision: 889681
- update to 1.0.2

* Fri Oct 09 2015 daviddavid <daviddavid> 1.0.1-2.mga6
+ Revision: 888041
- rebuild for python 3.5

* Thu Sep 24 2015 philippem <philippem> 1.0.1-1.mga6
+ Revision: 883383
- update to 1.0.1

* Sun Mar 08 2015 philippem <philippem> 0.7.2-1.mga5
+ Revision: 818093
- imported package python-cryptography-vectors

